import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaSensorStatus } from '@overflow/commons-typescript/model/meta';

export const metaSensorStatusEntityAdapter = createEntityAdapter<MetaSensorStatus, RPCClientError>();
export interface State extends EntityState<MetaSensorStatus, RPCClientError> {
}
export const initialState: State = metaSensorStatusEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaSensorStatusEntityAdapter.getSelectors(selector),
  };
}
